> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Put owners

> Bulk updates a list of owners.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml put /owners
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /owners:
    put:
      tags:
        - owners
      description: Bulk updates a list of owners.
      operationId: updateOwners
      requestBody:
        description: Owners to be updated
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOwnerInfoList'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateOwnerInfoList'
          description: The resulting updated owner infos.
      security:
        - BearerAuth: []
components:
  schemas:
    UpdateOwnerInfoList:
      example:
        owners:
          - owner_id: f454d283-ca87-4a8a-bdbb-df212eca5353
            name: API Owner
            description: This owner represents the API team owners.
            access_request_escalation_period: 120
          - owner_id: 99d0b81d-14be-4cf6-bd27-348b4af1d11b
            name: Finance Owner
            description: This owner represents the Finance team owners.
            access_request_escalation_period: 15
      properties:
        owners:
          description: A list of owners with information to update.
          items:
            $ref: '#/components/schemas/UpdateOwnerInfo'
          type: array
      type: object
      required:
        - owners
    UpdateOwnerInfo:
      description: |-
        # UpdateOwnerInfo Object
        ### Description
        The `UpdateOwnerInfo` object is used as an input to the UpdateOwner API.
      example:
        owner_id: f454d283-ca87-4a8a-bdbb-df212eca5353
        name: API Owner
        description: This owner represents the API team owners.
        access_request_escalation_period: 120
      properties:
        owner_id:
          description: The ID of the owner.
          example: f454d283-ca87-4a8a-bdbb-df212eca5353
          format: uuid
          type: string
        name:
          description: The name of the owner.
          example: API Owner
          type: string
        description:
          description: A description of the owner.
          example: This owner represents the API team owners.
          type: string
        access_request_escalation_period:
          description: >-
            The amount of time (in minutes) before the next reviewer is
            notified. Use 0 to remove escalation policy.
          type: integer
          example: 120
        reviewer_message_channel_id:
          description: >-
            The message channel id for the reviewer channel. Use "" to remove an
            existing message channel.
          example: 37cb7e41-12ba-46da-92ff-030abe0450b1
          type: string
        source_group_id:
          description: >-
            Sync this owner's user list with a source group. Use "" to remove an
            existing source group.
          example: 1b978423-db0a-4037-a4cf-f79c60cb67b3
          format: uuid
          type: string
      required:
        - owner_id
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````